.header__burger.is-open {
  span::after {
    @apply top-[-3px] rotate-45;
  }
  span {
    @apply bg-transparent;
  }
  span::before {
    @apply bottom-0 -rotate-45;
  }
}

.header__burger {
  @apply flex items-center justify-center h-12 w-12 mr-3;
}

.header__burger span,
.header__burger span::after,
.header__burger span::before {
  content: '';
  transition: 0.3s;
  transition-property: top, bottom, transform, background;

  @apply block w-6 h-[3px] bg-current relative;
}

.header__burger span {
  @apply w-3;
}

.header__burger span::after {
  @apply top-[-11px];
}

.header__burger span::before {
  @apply -bottom-2;
}

.header__burger span {
  font-size: 0;
  text-indent: -3000px;
}

@screen lg {
  .header__burger {
    @apply hidden;
  }
}
